using System;
using System.Collections.Generic;
using System.Reflection;
using System.Text;

namespace Siger.Middlelayer.Utility.Helpers
{
    public class ClassHelper
    {
        public static PropertyInfo[] GetPropertyInfoArray<T>()
        {
            PropertyInfo[] props = null;
            try
            {
                Type type = typeof(T);
                object obj = Activator.CreateInstance(type);
                props = type.GetProperties(BindingFlags.Public | BindingFlags.Instance);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            return props;
        }
    }
}
